<?xml version="1.0" encoding="UTF-8"?>
<schemalist>
  <schema id="org.gnome.shell.extensions.snapshell"
          path="/org/gnome/shell/extensions/snapshell/">

    <key name="server-url" type="s">
      <default>'https://snap.unbl.ink/jsonrpc'</default>
      <summary>Snapcast JSON-RPC URL</summary>
      <description>
        HTTP(S) endpoint for Snapserver JSON-RPC.
      </description>
    </key>

    <key name="group-id" type="s">
      <default>'a16be8ca-e36f-5498-08cd-3879f2025775'</default>
      <summary>Snapcast group id</summary>
      <description>
        UUID of the Snapcast group to control by default.
      </description>
    </key>

    <key name="poll-seconds" type="u">
      <default>5</default>
      <summary>Polling interval (seconds)</summary>
      <description>
        How often to refresh Server.GetStatus to update slider position.
      </description>
    </key>

  </schema>
</schemalist>
